// pages/login/login.js
let {$get,$post} = require('../../utils/request.js');
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    username: '',
    password: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // 用户登陆
  doLogin(){
    wx.request({  
      url: 'http://192.168.251.13:8091/login', // 上传接口地址
      method:'POST',
      data: this.data,
      header: {
        'content-type': 'application/x-www-form-urlencoded' // 设置请求头为json格式
      },
      success(res) {
        const data = res.data;
        console.log(data)
        // 根据实际返回的数据格式处理返回结果
        if (data.code === 0) {
          wx.showToast({
            title: '登录成功',
            icon: 'success',
            duration: 2000
          });
          wx.setStorageSync('info', JSON.stringify(res.data))
          wx.reLaunch({
            url: '../home/home',
          })

        } else {
          wx.showToast({
            title: '上传失败，请重试！',
            icon: 'none',
            duration: 2000
          });
        }
      },
      fail(err) {
        console.error('上传失败：', err);
        wx.showToast({
          title: '上传失败，请重试！',
          icon: 'none',
          duration: 2000
        });
      }
    });
    // $post('/user/login/',this.data)
    // .then(res => {
    //   console.log(res)
    //   if(res){
    //     app.globalData.userInfo = res.data
    //     wx.setStorageSync('info', JSON.stringify(res.data))
    //     wx.reLaunch({
    //       url: '../home/home',
    //     })
    //   }
    // })
  }
})